Blow Up Requirements
Blow Up 3

Requirements

We thoroughly test and support this product on the systems listed below. This product may also work in other configurations, but we do not guarantee it.

System Requirements

  • Apple Mac: OS X Yosemite (10.10) or newer
  • Microsoft Windows: Windows 7 64-bit or newer
  • An Intel Core 2 processor or compatible
  • A monitor with 1280×768 resolution or greater

Host Requirements

Blow Up 3 is a plug-in and requires one of the following host applications:

  • Alien Skin Exposure X or newer
  • Adobe Photoshop CS6 or Adobe Photoshop CC 2015 or newer
  • Adobe Lightroom 6 or Adobe Lightroom CC 2015 or newer
Photoshop Lightroom

Exposure X3 Bundle creative photo editor
Blow Up is part of the Exposure X3 Bundle, our collection of photography tools.

Or try for free